<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
        ALTER TABLE visitor_entries
        ADD COLUMN register_id TEXT DEFAULT NULL
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
        ALTER TABLE visitor_entries
        ADD COLUMN valid_upto TIMESTAMP DEFAULT NULL
        SQL;

        DB::statement($sql2);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('visitor_entries', function (Blueprint $table) {
        //     //
        // });
    }
};
